Package com.macrofocus.filter

# Class SimpleIndexFilter<E>

java.lang.Object
com.macrofocus.filter.AbstractFilter<E>
com.macrofocus.filter.AbstractMutableIndexFilter<E>
com.macrofocus.filter.SimpleIndexFilter<E>

All Implemented Interfaces:
  `Filter<E>`, `MutableFilter<E>`, `MutableIndexFilter<E>`

@JsType public class SimpleIndexFilter<E> extends AbstractMutableIndexFilter<E>
As long as an index hasn't been set (presumably by SubsetDataFrame), then the responsability is deferred to the underlying input filter.

- ## Field Summary

  ### Fields inherited from class com.macrofocus.filter.AbstractMutableIndexFilter

  `filteredCount, index`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleIndexFilter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clearFilter()`
  `void`
  `clearFilterBy(Object locksmith)`
  `int`
  `getFilteredCount()`
  Returns the number of elements currently filtered.
  `MutableFilter<E>`
  `getInputFilter()`
  `boolean`
  `isActive()`
  Indicates whether at least one element is currently filtered.
  `boolean`
  `isEnabled()`
  `boolean`
  `isFiltered(E element)`
  Indicates whether a given element is filtered or not.
  `boolean`
  `isFilteredBy(E element, Object locksmith)`
  Indicates whether a given element is filtered or not by the given locksmith.
  `void`
  `setEnabled(boolean enabled)`
  `void`
  `setFiltered(E element, boolean filtered, Object locksmith)`
  `void`
  `setFilteredIterable(Iterable<E> elements, boolean filtered, Object locksmith)`
  `void`
  `setFilteredState(Iterable<E> filtered, Iterable<E> unfiltered, Object locksmith)`

  ### Methods inherited from class com.macrofocus.filter.AbstractMutableIndexFilter

  `setIndex`

  ### Methods inherited from class com.macrofocus.filter.AbstractFilter

  `addFilterListener, addWeakFilterListener, notifyFilteredChanged, removeFilterListener, removeFilterListeners`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.filter.Filter

  `addFilterListener, addWeakFilterListener, removeFilterListener, removeFilterListeners`

- ## Constructor Details

  - ### SimpleIndexFilter

    public SimpleIndexFilter()

- ## Method Details

  - ### getInputFilter

    public MutableFilter<E> getInputFilter()

  - ### isActive

    public boolean isActive()
    Description copied from interface: `Filter`
    Indicates whether at least one element is currently filtered.
    Specified by:
      `isActive` in interface `Filter<E>`
    Overrides:
      `isActive` in class `AbstractMutableIndexFilter<E>`
    Returns:
      true if at least one element is filtered, false otherwise.

  - ### getFilteredCount

    public int getFilteredCount()
    Description copied from interface: `Filter`
    Returns the number of elements currently filtered.
    Specified by:
      `getFilteredCount` in interface `Filter<E>`
    Overrides:
      `getFilteredCount` in class `AbstractMutableIndexFilter<E>`
    Returns:
      the number of filtered elements.

  - ### isFiltered

    public boolean isFiltered(E element)
    Description copied from interface: `Filter`
    Indicates whether a given element is filtered or not.
    Parameters:
      `element` - the element to be tested
    Returns:
      true if the element is filtered, false otherwise

  - ### isEnabled

    public boolean isEnabled()
    Specified by:
      `isEnabled` in interface `Filter<E>`
    Overrides:
      `isEnabled` in class `AbstractFilter<E>`

  - ### isFilteredBy

    public boolean isFilteredBy(E element, Object locksmith)
    Description copied from interface: `Filter`
    Indicates whether a given element is filtered or not by the given locksmith.
    Parameters:
      `element` - the element to be tested
      `locksmith` - the object used to filter the element
    Returns:
      true if the element is filtered, false otherwise

  - ### setFiltered

    public void setFiltered(E element, boolean filtered, Object locksmith)

  - ### setFilteredIterable

    public void setFilteredIterable(Iterable<E> elements, boolean filtered, Object locksmith)

  - ### setFilteredState

    public void setFilteredState(Iterable<E> filtered, Iterable<E> unfiltered, Object locksmith)

  - ### clearFilter

    public void clearFilter()

  - ### clearFilterBy

    public void clearFilterBy(Object locksmith)

  - ### setEnabled

    public void setEnabled(boolean enabled)
    Specified by:
      `setEnabled` in interface `MutableFilter<E>`
    Overrides:
      `setEnabled` in class `AbstractFilter<E>`